TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

First ( func pred, list l ) -> any

### Optional Arguments

Fail | any |  | Determines what to return in case of failure.

### Description

<shortdoc> Find the first element which suffices the predicate function `pred' and return it.
Note: Apparently `pred' must have `-> elt-alg^boo' out-signature. </shortdoc>

### Examples

First(IsPrime,[1..100]);
First(IsOdd,[2,4,6,8,100]);

### See also

Last ( func, list ) -> any

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack